Safe Haskell | Safe-Inferred
Language | Haskell2010

Identifiers

Synopsis

- data Id = Id
- data a :* b = a :* b
- foo :: ()

# Documentation

data Id #

Constructors

Id |

data a :* b #

Constructors

a :* b |

foo :: () #

- Unadorned:

  - Unqualified: `++`, `elem`
  - Qualified: `++`, `elem`
  - Namespaced: `++`, `++`, `elem`, `elem`, `Id`, `Id`, `:*`, `:*`

- Parenthesized:

  - Unqualified: ``(++)` [1,2,3] [4,5,6]`
  - Qualified: ``(++)` [1,2,3] [4,5,6]`
  - Namespaced: `(++)`, `++`, `(:*)`, `(:*)`

- Backticked:

  - Unqualified: `1 ``elem`` [-3..3]`
  - Qualified: `1 ``elem`` [-3..3]`
  - Namespaced: ``elem``, ``elem``, ``Id``, ``Id``

- Edge cases:

  - Tuples: `()`, `(,,,)`